<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\FieldFormatterSettingsTaskBase;

/**
 * Ensure that all field labels are hidden on entity view displays.
 */
#[Task('field_labels_hidden')]
final class FieldLabelsHidden extends FieldFormatterSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldNames = ['*'];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'label' => 'hidden',
  ];

}
