<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Task\Entity\Display\View;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\View\FieldFormatterSettingsTaskBase;

/**
 * Ensure that link text output is not trimmed.
 */
#[Task('link_text_not_trimmed')]
final class LinkTextNotTrimmed extends FieldFormatterSettingsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected array $fieldTypes = [
    // This task applies to both core link widget types.
    'link',
    'link_separate',
  ];

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    'settings' => [
      'trim_length' => NULL,
    ],
  ];

}
