<?php

declare(strict_types=1);

namespace Drupal\reviewer_examples\Plugin\reviewer\Task;

use Drupal\reviewer\Attribute\Task;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\ConfigTaskBase;

/**
 * Check the system.site configuration.
 */
#[Task('system_site')]
final class SystemSite extends ConfigTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $configName = 'system.site';

  /**
   * {@inheritdoc}
   */
  protected array $expectedValues = [
    // Ensure that all these site settings have values. This task is unfixable,
    // as there is no way for the task to know what the correct values should
    // be, only what the value should not be.
    'name' => '!',
    'slogan' => '!',
    'page' => [
      '403' => '!',
      '404' => '!',
      'front' => '!',
    ],
  ];

}
