<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Hook;

use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * Hooks for help pages.
 *
 * phpcs:disable Generic.NamingConventions.ConstructorName.OldStyle
 * phpcs:disable Drupal.Arrays.Array.LongLineDeclaration
 */
final class Help {

  use StringTranslationTrait;

  /**
   * Help page text.
   */
  public function help(
    string $route_name,
    RouteMatchInterface $route_match,
  ): string {
    $output = '';
    if ($route_name === 'help.page.reviewer_test_kit_test') {
      $output .= '<h3>' . $this->t('About') . '</h3>';
      $output .= '<p>' . $this->t('Provides test configuration for Reviewer Test Kit.') . '</p>';
      // phpcs:ignore Drupal.Arrays.Array.LongLineDeclaration
      $output .= '<p>' . $this->t('For a full description of the module and configuration instructions, visit the <a href=":project" target="_blank">project page</a> or consult the <a href=":readme" target="_blank">README.md</a> in the module directory.', [':project' => 'https://www.drupal.org/project/reviewer', ':readme' => 'https://git.drupalcode.org/project/reviewer/-/blob/2.x/README.md']) . '</p>';
      $output .= '<p>' . $this->t('Submit bug reports, feature suggestions or track changes in the <a href=":queue" target="_blank">issue queue</a>.', [':queue' => 'https://www.drupal.org/project/issues/reviewer']) . '</p>';
    }
    return $output;
  }

}
