<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoAllowedPluginsTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoDisplayTypeTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoExpectedSettingsTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoFieldNamesTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoFieldTypesNorNamesTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Exceptions\TestNoFieldTypesTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_exceptions_checklist',
  tasks: [
    TestNoAllowedPluginsTask::class,
    TestNoExpectedSettingsTask::class,
    TestNoDisplayTypeTask::class,
    TestNoFieldTypesNorNamesTask::class,
    TestNoFieldTypesTask::class,
    TestNoFieldNamesTask::class,
  ],
)]
final class TestExceptionsChecklist extends ChecklistBase {}
