<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist\Entity\Display;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields\TestAllFieldNamesTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields\TestAllFieldTypesTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields\TestFieldNameAndTypeTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields\TestTypeHandlersTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'test_fields_checklist',
  tasks: [
    TestAllFieldNamesTask::class,
    TestAllFieldTypesTask::class,
    TestFieldNameAndTypeTask::class,
    TestTypeHandlersTask::class,
  ],
)]
final class TestFieldsChecklist extends ChecklistBase {}
