<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\TestNewConfigTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\TestNoExpectedValuesTask;
use Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\TestNoConfigNameTask;

/**
 * Checklist for tests.
 */
#[Checklist(
  id: 'TestConfigTaskExceptionsChecklist',
  tasks: [
    TestNoExpectedValuesTask::class,
    TestNoConfigNameTask::class,
    TestNewConfigTask::class,
  ]
)]
final class TestConfigTaskExceptionsChecklist extends ChecklistBase {}
