<?php

declare(strict_types=1);

namespace Drupal\reviewer_test_kit_test\Plugin\reviewer\Task\Entity\Display\Fields;

use Drupal\Core\Entity\Display\EntityDisplayInterface;
use Drupal\reviewer\Reviewer\Result\ResultInterface;
use Drupal\reviewer_test_kit\Plugin\reviewer\Task\Entity\Display\DisplayFieldsTaskBase;

/**
 * Base task for field tests.
 */
abstract class TestFieldsTaskBase extends DisplayFieldsTaskBase {

  /**
   * {@inheritdoc}
   */
  protected string $displayType = 'form';

  /**
   * {@inheritdoc}
   */
  public function check(): ResultInterface {
    $display = $this->displays();
    $display = reset($display);
    assert($display instanceof EntityDisplayInterface);
    return $this->createCheckResult(
      TRUE,
      implode(',', $this->fieldsToCheck($display)),
      ''
    );
  }

}
