<?php

declare(strict_types=1);

namespace Drupal\reviewer\Exception;

/**
 * Thrown when a required attribute is missing.
 */
class AttributeMissingException extends \LogicException {

  // phpcs:ignore Drupal.Commenting.FunctionComment.Missing
  public function __construct(
    string $attribute,
    string $class,
    int $code = 0,
    \Throwable|null $previous = NULL,
  ) {
    parent::__construct(
      "The required attribute $attribute on class $class is missing.",
      $code,
      $previous,
    );
  }

}
