<?php

namespace Drupal\reviewer\Reviewer\Checklist;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\reviewer\Reviewer\IgnoredTasksInterface;
use Drupal\reviewer\Reviewer\Review\ReviewInterface;
use Drupal\reviewer\Reviewer\RunnableInterface;

/**
 * Defines a checklist.
 */
interface ChecklistInterface extends RunnableInterface, IgnoredTasksInterface {

  /**
   * Get the checklist ID.
   */
  public function getId(): string;

  /**
   * Get configuration entities loaded for this checklist.
   */
  public function getConfigEntity(): ConfigEntityInterface|null;

  /**
   * Get all tasks to run on the checklist.
   *
   * @return \Drupal\reviewer\Reviewer\Task\TaskInterface[]
   */
  public function getTasks(): array;

  /**
   * Set the review that contains this checklist.
   */
  public function setReview(ReviewInterface $review): ChecklistInterface;

}
