<?php

namespace Drupal\reviewer\Reviewer\Result;

/**
 * Defines a collection of results.
 */
interface CollectionResultInterface extends ResultInterface {

  /**
   * Add a result to the collection.
   */
  public function add(ResultInterface $result): CollectionResultInterface;

  /**
   * Remove a result from the collection.
   */
  public function remove(ResultInterface $result): CollectionResultInterface;

  /**
   * Get a result from the collection.
   */
  public function get(string $id): ResultInterface;

  /**
   * Get all results from the collection.
   *
   * This can be a set of more collections or raw results.
   *
   * @return array<string, \Drupal\reviewer\Reviewer\Result\ResultInterface>
   */
  public function getAll(): array;

  /**
   * Return all results contained in this collection or contained collections.
   *
   * @return array<string, \Drupal\reviewer\Reviewer\Result\IndividualResultInterface>
   */
  public function getIndividualResults(): array;

}
