<?php

namespace Drupal\reviewer\Reviewer\Result;

use Drupal\reviewer\Reviewer\Status\Status;

/**
 * Defines a factory which creates results.
 */
interface ResultFactoryInterface {

  /**
   * Create a result.
   */
  public function createResult(
    string $id,
    Status $status,
    string $message,
    ?bool $fixable = NULL,
  ): IndividualResultInterface;

  /**
   * Create a result collection.
   *
   * @param \Drupal\reviewer\Reviewer\Result\ResultInterface[] $results
   */
  public function createCollection(
    string $id,
    array $results = [],
  ): CollectionResultInterface;

}
