<?php

namespace Drupal\reviewer\Reviewer\Review;

use Drupal\Core\Config\Entity\ConfigEntityInterface;
use Drupal\reviewer\Reviewer\IgnoredTasksInterface;
use Drupal\reviewer\Reviewer\RunnableInterface;

/**
 * Defines a review.
 */
interface ReviewInterface extends RunnableInterface, IgnoredTasksInterface {

  /**
   * Get the review ID.
   */
  public function getId(): string;

  /**
   * Get the review label.
   */
  public function getLabel(): string;

  /**
   * Get all checklists contained in the review.
   *
   * @return array<string, \Drupal\reviewer\Reviewer\Checklist\ChecklistInterface>
   *
   * @throws \Drupal\reviewer\Exception\NoChecklistsException
   *   Thrown when no checklists are defined in the review.
   */
  public function getChecklists(): array;

  /**
   * Get the configuration entity loaded for this review.
   */
  public function getConfigEntity(): ConfigEntityInterface|null;

}
