<?php

namespace Drupal\reviewer\Reviewer;

use Drupal\reviewer\Reviewer\Result\CollectionResultInterface;
use Drupal\reviewer\Reviewer\Status\Status;

/**
 * Definition for an item with runnable checks.
 */
interface RunnableInterface {

  /**
   * Run the item.
   */
  public function run(Action $action): self;

  /**
   * Generate a unique ID for the check results.
   */
  public function resultId(): string;

  /**
   * Get the status of the run.
   */
  public function getStatus(): Status;

  /**
   * Get a collection of all results for this item.
   */
  public function getResults(): CollectionResultInterface;

}
