<?php

namespace Drupal\reviewer\Reviewer\Task;

/**
 * Defines a factory which creates tasks.
 */
interface TaskFactoryInterface {

  /**
   * Create a task.
   *
   * @param class-string<\Drupal\reviewer\Reviewer\Task\TaskInterface> $class
   *   The task class to create an instance of. Tasks must implement
   *   \Drupal\reviewer\Reviewer\Task\TaskInterface.
   *
   * @throws \ReflectionException
   *   Thrown when the class does not exist.
   */
  public function create(string $class): TaskInterface;

}
