<?php

namespace Drupal\reviewer\Reviewer\Task;

use Drupal\reviewer\Reviewer\Checklist\ChecklistInterface;
use Drupal\reviewer\Reviewer\IgnoredTasksInterface;
use Drupal\reviewer\Reviewer\Result\ResultInterface;
use Drupal\reviewer\Reviewer\RunnableInterface;

/**
 * Defines a task.
 */
interface TaskInterface extends RunnableInterface, IgnoredTasksInterface {

  /**
   * Get the task's attribute ID.
   */
  public function getAttributeId(): string;

  /**
   * Get the task's module dependencies attribute.
   *
   * @return string[]
   */
  public function getModuleDependencies(): array;

  /**
   * Get the task ID.
   */
  public function getId(): string;

  /**
   * {@inheritdoc}
   */
  public function resultId(string $variant = ''): string;

  /**
   * Check for issues.
   *
   * @throws \Exception
   */
  public function check(): ResultInterface;

  /**
   * Set the checklist that contains this task.
   */
  public function setChecklist(ChecklistInterface $checklist): self;

}
