<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test\Plugin\reviewer\Task\TestError;
use Drupal\reviewer_test\Plugin\reviewer\Task\TestIgnoredErrorTask;
use Drupal\reviewer_test\Plugin\reviewer\Task\TestNotRunTask;

/**
 * Checklist for testing the Reviewer UI.
 */
#[Checklist(
  id: 'checklist_test',
  tasks: [
    TestError::class,
    TestIgnoredErrorTask::class,
    TestNotRunTask::class,
  ],
)]
final class TestChecklist extends ChecklistBase {}
