<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Checklist;

use Drupal\reviewer\Attribute\Checklist;
use Drupal\reviewer\Reviewer\Checklist\ChecklistBase;
use Drupal\reviewer_test\Plugin\reviewer\Task\TestFieldLabelNotHiddenTask;
use Drupal\reviewer_test\Plugin\reviewer\Task\TestLinkTextNotTrimmedTask;

/**
 * Entity checklist for testing the Reviewer UI.
 */
#[Checklist(
  id: 'entity_checklist_test',
  tasks: [
    TestFieldLabelNotHiddenTask::class,
    TestLinkTextNotTrimmedTask::class,
  ],
)]
final class TestEntityChecklist extends ChecklistBase {}
